> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a line item

> Get a group of line items by their IDs. Up to 100 IDs can be included in a single request. By default, the response will only include the ID a few system fields, and the hs_product_id property. You can get specific properties in the response by using the properties parameter in the URL, and that parameter can be included multiple times to get multiple properties. See the example for more details.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['e-commerce']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v1/crm-line-items-v1.json DELETE /crm-objects/v1/objects/line_items/{id}
openapi: 3.0.0
info:
  title: CRM Line Items API v1
  version: 1.0.0
  description: >-
    Use the line items API to add instances of products to deals and quotes. You
    can create line items from existing products or create them as custom line
    items with no product attached.
  x-hubspot-introduction: >-
    Use the line items API to add instances of products to deals and quotes. You
    can create line items from existing products or create them as custom line
    items with no product attached.
  x-hubspot-api-use-case: >-
    When creating a set of quotes for sales reps to send to potential buyers,
    use this API to add goods and services to the quotes.
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /crm-objects/v1/objects/line_items/{id}:
    delete:
      summary: Delete a line item
      description: >-
        Get a group of line items by their IDs. Up to 100 IDs can be included in
        a single request. By default, the response will only include the ID a
        few system fields, and the hs_product_id property. You can get specific
        properties in the response by using the properties parameter in the URL,
        and that parameter can be included multiple times to get multiple
        properties. See the example for more details.
      operationId: deletecrmobjectsv1objectslineitemsid
      responses:
        '200':
          description: Successful response - Get a group of line items by their IDs
          content:
            application/json:
              schema:
                type: object
              examples:
                example1:
                  summary: Delete a line item - Example 1
                  value: Returns a 204 No Content response on success.
      security:
        - oauth2:
            - crm.objects.line_items.write
        - oauth2_legacy: []
        - private_apps:
            - crm.objects.line_items.write
        - private_apps_legacy: []
components: {}

````